import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { TabsPage } from './tabs.page';

const routes: Routes = [
  {
    path: 'tabs',
    component: TabsPage,
    children: [
      {
        path: 'mood',
        loadChildren: () => import('../mood/mood.module').then(m => m.MoodPageModule)
      },
      {
        path: 'game',
        loadChildren: () => import('../game/game.module').then(m => m.GamePageModule)
      },
      {
        path: 'ai',
        loadChildren: () => import('../ai/ai.module').then(m => m.AiPageModule)
      },
      {
        path: '',
        redirectTo: '/tabs/mood',
        pathMatch: 'full'
      }
    ]
  },
  {
    path: '',
    redirectTo: '/tabs/mood',
    pathMatch: 'full'
  }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
})
export class TabsPageRoutingModule {}
