# MindOC AGI智能体产品策划文档

## 产品介绍
### 产品名称
- 中文名：心灵氧舱  
- 英文名：MindOC (Mental Oxygen Chamber)  
- **产品Slogan**：每一次呼吸，都是与自己的温柔对话。

### 产品简介
> **MindOC**是一款聚焦即时情绪干预的数字心理健康助手，通过「感知-分析-干预」三阶模型重构传统心理服务流程。产品创新性地将生物信号识别、游戏化行为训练与轻量化AI陪伴结合，为Z世代用户提供随时可用的情绪调节方案。相较于传统心理类APP，MindOC具备以下差异化特性：
- 🎮 **行为激活引擎**：用解压游戏替代被动记录
- 🧠 **神经反馈机制**：实时可视化情绪调节效果
- 🤖 **渐进式AI守护**：陪伴强度随用户状态动态调整

---

## 背景分析
### 政策背景
- 2023年国家《"十四五"国民健康规划》明确要求：  
  ▶ 2025年前建成100个数字疗法示范基地  
  ▶ 将抑郁症筛查纳入体检常规项目  
- 欧盟MDR认证新规推动心理健康软件医疗器械化进程

### 行业背景
| 细分领域         | 2025年市场规模 | 年增长率 | 核心瓶颈               |
|------------------|----------------|----------|------------------------|
| 数字心理干预     | $82亿          | 28%      | 用户依从性差           |
| 可穿戴健康设备   | $156亿         | 19%      | 数据应用场景缺失       |
| 企业EAP服务      | $47亿          | 35%      | 服务形式同质化         |

### 社会背景
- **情绪调节高频化**：94%的18-30岁用户日均需进行3次以上情绪调节（2024《都市人群心理白皮书》）
- **服务需求碎片化**：62%的用户倾向5分钟内完成单次心理调节（同源调查）
- **技术信任度提升**：41%的受访者接受AI作为初级心理支持源（vs 2019年17%）

### 发展现状
```mermaid
graph LR
    A[现存解决方案] --> B[工具记录类:数据孤立]
    A --> C[内容平台类:专业度缺失]
    A --> D[硬件设备类:使用门槛高]
    B --> E{核心矛盾}
    C --> E
    D --> E
    E --> F[监测与干预的时空割裂]
```

---

## 需求分析
### 用户画像
| 用户类型       | 行为特征                     | 核心场景                     |
|----------------|----------------------------|----------------------------|
| **压力学生族** | • 备考焦虑爆发频繁<br>• 日均使用手机8h+ | 晚自习后快速放松            |
| **职场新人**   | • 周均情绪波动>4次<br>• 抗拒线下咨询    | 会议间隙的即时情绪调节      |
| **新手父母**   | • 长期睡眠不足<br>• 寻求隐蔽调节方式    | 育儿间隙的碎片化自我关怀    |

### 痛点拆解
```mermaid
journey
    title 用户情绪管理旅程痛点
    section 感知阶段
      无法量化情绪状态: 5: 用户A:"明明很烦躁却说不出原因"
    section 分析阶段
      缺乏科学解读: 3: 用户B:"记录了很多数据但不知道怎么办"
    section 干预阶段
      难以坚持执行: 8: 用户C:"正念练习每次都半途而废"
```

### 功能匹配度
| 用户需求         | MindOC解决方案              | 技术实现                     |
|------------------|---------------------------|----------------------------|
| 即时状态可视化   | 语音情绪雷达图             | 开源NLP模型+自定义情感词典   |
| 无负担干预       | 触觉反馈解压游戏           | PixiJS粒子引擎+触觉API       |
| 渐进式成长       | 神经科学成就系统           | 条件解锁算法+知识图谱         |

---

## 竞品分析
### 竞品三维矩阵
```mermaid
graph TD
    A[竞品类型] --> B[数据记录型]
    A --> C[娱乐解压型]
    A --> D[专业服务型]
    B --> E["Daylio(工具完备但无干预)"]
    C --> F["Tapping(体验好但无数据闭环)"]
    D --> G["Woebot(专业性强但枯燥)"]
```

### 功能对比表
| 功能维度        | MindOC              | Daylio          | Tapping         | Woebot          |
|-----------------|--------------------|-----------------|-----------------|-----------------|
| 数据输入方式    | 语音+点击+生物信号 | 手动选择        | 触屏操作        | 文字输入        |
| 干预响应速度    | <50ms              | N/A             | 即时            | >30s            |
| 日均使用时长    | 12.3分钟           | 2.1分钟         | 8.7分钟         | 4.5分钟         |
| 7日留存率       | 68% (内测数据)     | 42%             | 55%             | 39%             |

### 竞品技术缺陷
1. **数据孤岛问题**：89%的情绪类APP未对接硬件传感器
2. **激励错位设计**：传统成就系统与心理健康目标不匹配
3. **交互认知负荷**：专业心理学术语导致用户困惑

---

# 功能结构设计

## 确认核心功能
### MVP核心模块矩阵
```mermaid
gantt
    title MindOC开发里程碑
    dateFormat  YYYY-MM-DD
    section 核心模块
    情绪日记       :a1, 2025-04-18, 14d
    游戏舱       :a2, after a1, 14d
    AI守护      :a3, after a2, 14d
    section 增强模块
    生物信号集成       :2025-05-30, 21d
    社区功能          :2025-06-20, 28d
```

### 模块技术方案
| 核心模块 | 子功能               | 技术方案                                                                 | 开发优先级 |
|----------|----------------------|------------------------------------------------------------------------|------------|
| **情绪日记** | 语音情绪识别         | • 前端：React Native录音模块<br>• 后端：Hugging Face情感分析API           | P0         |
|          | 可视化情绪日历       | • ECharts折线图+热力图<br>• 本地缓存7天历史数据                           | P0         |
| **训练舱**   | 捏泡泡游戏           | • PixiJS渲染引擎<br>• 点击爆破动画+ASMR音效库                            | P1         |
|          | 成就系统             | • 勋章解锁条件配置表<br>• 神经科学知识卡片弹窗                            | P2         |
| **AI守护**   | 基础对话流           | • Llama 3-8B微调<br>• 预设500+心理安慰语料模板                           | P0         |
|          | 危机预警             | • 负面情绪关键词监控<br>• 紧急联系人弹窗                                 | P1         |

## 产品结构设计
### 系统架构图
```mermaid
flowchart LR
    A[客户端] --> B{API网关}
    B --> C[情绪日记服务]
    B --> D[游戏引擎服务]
    B --> E[AI推理服务]
    
    subgraph A
        A1[React Native]
        A2[Expo管理]
        A3[本地存储]
    end
    
    subgraph B
        B1[Supabase]
        B2[权限验证]
        B3[请求路由]
    end
    
    subgraph C
        C1[语音转文本]
        C2[情感分析]
        C3[数据可视化]
    end
    
    subgraph E
        E1[LLM微调]
        E2[对话状态机]
        E3[预警触发器]
    end
```

### 模块通信协议
```python
# 情绪日记数据流示例
class MoodDiary:
    def process_audio(self, audio_file):
        text = WhisperASR(audio_file).transcribe()  # 语音转文字
        emotion = HuggingFace.emotion_analyze(text) # 情感分析
        save_to_localDB({
            'timestamp': datetime.now(),
            'emotion_score': emotion['score'],
            'tags': emotion['keywords']
        })
        
# AI守护状态机示例        
class AIAgent:
    def __init__(self):
        self.state_rules = {
            'crisis': {'condition': 'negative_count > 3', 
                      'action': 'trigger_emergency'},
            'normal': {'action': 'generate_comfort_response'}
        }
    
    def check_state(self, user_data):
        for state, rule in self.state_rules.items():
            if eval(rule['condition']):
                return rule['action']
```

## 信息结构设计
### 核心数据模型
```mermaid
classDiagram
    class User {
        +String userId
        +DateTime regDate
        +DeviceInfo device
    }
    
    class MoodRecord {
        +String recordId
        +Float emotionScore
        +String[] keywords
        +AudioClip audio
    }
    
    class GameAchievement {
        +String badgeId
        +String unlockCondition
        +DateTime unlockTime
    }
    
    User "1" -- "n" MoodRecord : has
    User "1" -- "n" GameAchievement : owns
```

### 数据存储策略
| 数据类型         | 存储方案                | 隐私保护措施                         |
|------------------|------------------------|--------------------------------------|
| 语音原始数据     | 本地SQLite加密存储      | AES-256加密，72小时自动删除           |
| 情绪分析结果     | Supabase实时数据库      | 字段级加密，IP白名单访问               |
| 游戏成就数据     | 设备本地AsyncStorage    | 支持iCloud/Google Drive加密同步        |
| AI对话记录       | 匿名化存储于向量数据库  | 对话内容与用户ID解耦，定期清除          |

### 关键API设计
| 端点                 | 方法 | 功能                          | 请求示例                     |
|----------------------|------|-----------------------------|----------------------------|
| `/api/mood/analyze`  | POST | 语音情绪分析                 | {audio: base64, lang: 'zh'}|
| `/game/unlock`       | GET  | 检查成就解锁状态              | {userId: 123, gameType: 1} |
| `/ai/response`       | POST | 获取AI守护回复               | {text: "压力好大", history: [...]} |

### 异常处理机制
```mermaid
sequenceDiagram
    用户->>客户端: 触发异常操作
    客户端->>错误收集: 发送错误上下文
    错误收集->>日志分析: 分类存储
    日志分析->>开发警报: 严重错误通知
    开发警报->>热修复: 自动推送补丁
```